#include <iostream>
using namespace std;
int main () {
    int n,a[100000],b1,b2,big;
    bool biig=false;
    cin>>n;
    cin>>a[0];
    for(int i=1;i<n;i++) {
        cin>>a[i];
        if(a[i]>a[i-1]) {
            b2=a[i-1];
            b1=a[i];
        }
        else {
            b2=a[i];
            b1=a[i-1];
        }
            if(b2-2>big or biig==false){
                big=b2-2;
                biig=true;
            }
        for(int j=i-2;j>=0;j--) {
                if(a[j]>=b1) {
                    b2=b1;
                    b1=a[j];
                }
                else if(a[j]<b1 and a[j]>=b2) {
                    b2=a[j];
                }
                if(b2-(i-j+1)>big) {
                    big=b2-(i-j+1);
                }
        }
    }
    cout<<big<<endl;
    return 0;
}
